For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Customer

Creates a new customer with name, email, and other information.

post
Authorizations
x-api-keystringRequired
Body
namestringOptionalExample: John Doe
emailstringRequiredExample: john.doe@gmail.com
phonestringOptionalExample: 1234567890
tagsstring[]Required

Tags represent segments of customers. For example, a tag could be "VIP" or "New Customer"

Example: ["VIP","New Customer"]
Responses
201

The customer has been successfully created

No content

post/v1/customer
POST /v1/customer HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 99

{
  "name": "John Doe",
  "email": "john.doe@gmail.com",
  "phone": "1234567890",
  "tags": [
    "VIP",
    "New Customer"
  ]
}
201

The customer has been successfully created

No content

Last updated